# Copyright (C) 2018-2025 by BDE ENS Paris-Saclay
# SPDX-License-Identifier: GPL-3.0-or-later

from .views import AllergenViewSet, FoodViewSet, BasicFoodViewSet, TransformedFoodViewSet, QRCodeViewSet, \
    DishViewSet, SupplementViewSet, OrderViewSet, FoodTransactionViewSet


def register_food_urls(router, path):
    """
    Configure router for Food REST API.
    """
    router.register(path + '/allergen', AllergenViewSet)
    router.register(path + '/food', FoodViewSet)
    router.register(path + '/basicfood', BasicFoodViewSet)
    router.register(path + '/transformedfood', TransformedFoodViewSet)
    router.register(path + '/qrcode', QRCodeViewSet)
    router.register(path + '/dish', DishViewSet)
    router.register(path + '/supplement', SupplementViewSet)
    router.register(path + '/order', OrderViewSet)
    router.register(path + '/foodtransaction', FoodTransactionViewSet)
